#!/bin/bash

# RPM post script, no arguments
# Note: Also called from Debian alt-python27-cllib.postinst scriptlet
# Arguments:
# $1 - python binary path - /opt/alt/python37/bin/python3
# $2 - python dir path - /opt/alt/python37
# $3 - hook marker file - /usr/share/cloudlinux/hooks/.inuse.tmp

# "python-cllib POST INSTALL STARTED"

# /opt/alt/python37/bin/python3 /opt/alt/python37/usr/bin/cpapirebuildcache
"$1" "$2"/usr/bin/cpapirebuildcache

# create temporary marker which means that newly
# installed packege uses universal hooks
#touch /usr/share/cloudlinux/hooks/.inuse.tmp
touch "$3"

# run /usr/sbin/panel_users_counter
/usr/sbin/getpaneluserscount

# "python-cllib POST INSTALL FINISHED"
